### AWS Tools

#### rotate-keys
Rotates the AWS keys and updates the ~/.aws/credentials file with the new values.

Suggestions for features:
* Option to delete the old key when only one key is found
* Create an encrypted credentials file and commit to a repository
* Make it run as a daemon with a value to rotate the keys based on a schedule


#### rotate-ssh-keys
Rotates the SSH keys matching a prefix key name. The new key parts are written
out to two files in the local directory based on the key name provides. The public
key has the `.pub` extension. Right now, it only creates and uploads a new key
to AWS.

Suggestions for features:
* Automatically push the public key to all EC2 instances using the old keys
* Have the script run as a service based on a determined key lifecycle
* Allow for the selection of location for the new key files including options
  to push to a source other than a filesystem

